How to setup Bob's Track Builder and start using it?

T

Tygra

Hi all, just coming here because I have no clue how to setup Bob's Track Builder and start using it.

I have the folder "BobsSetup_0_4_2_3", and it is saved to my desktop. In the folder there is...

"BobsSetup
ReadMe
setup"

I've tried both "BobsSetup" and "setup" and it says they have both been installed; however, I get no desktop icon, so I don't know how to open it to start creating my own tracks.

Please can someone help? As I really want to start making some tracks for Richard Burns Rally.

Thanks in advance.
 

David Allak

10RPM
Nov 9, 2008
23
1
First, uninstall what you have and go and get the latest version -

http://bobstrackbuilder.net

Install the new version to somewhere other than your desktop.
Once installed run BobsTrackBuilder.exe, this will be in the folder you installed to :)
 
4

42Cliff

INSTALLATION

If installing for the first time:
- Make sure you have DirectX 9.0c installed already.
- To install, extract the files and run the setup.exe and follow the instructions. This will also install Microsoft .Net 2.0 framework if you do not already have it (except under Vista, it skips this part).

If upgrading from version 0.5:
- Backup your project files (usually found under "C:\Program Files\BobsTrackBuilder\My Projects").
- Uninstall Bobs Track Builder.
- Extract the files from the zip below and run the setup.exe to install the new version.
- Richard Burns Rally users will also need the new plugin - see documentation (press F1).

If upgrading from version 0.4.2.3 and you wish to upgrade your existing projects:
- Copy your current BobsTrackBuilder folder to BTBOLD.
- Uninstall Bobs Track Builder. Delete the BobsTrackBuilder folder so that only your BTBOLD folder exists.
- Extract the files from the zip below and run the setup.exe to install the new version.
- Richard Burns Rally users will also need the new plugin - see documentation (press F1).

You can now run either the BTBOLD\BobsTrackBuilder.exe or the new one.

----------------------------------------------------------------

also, for RBR :

Exporting to Richard Burns Rally

Thanks to black f and his hard work I am now able to offer export directly to Richard Burns Rally including all the new shaders now used by BTB. Some preparation is required before export begins:

  • Make sure you have installed the Richard burns Rally patch 1.02.
  • Copy the following files and folders from BTB into your Richard Burns Rally folder, and overwrite if prompted.
    • BTB\Support\RBR\Plugins
    • BTB\Support\RBR\RX_CONTENT
    • BTB\Support\RBR\d3dx9_35.dll
To export to Richard Burns Rally:

  1. From BTB, select File … Export ... then select the Richard burns Rally tab.
  2. If running for the first time, locate your Richard Burns Rally folder.
  3. Enter a Description and Folder name for your track.
  4. Select a Tyre Choice.
  5. Click Export.
If you have a newly installed version of Richard Burns Rally, make sure you have run the game and completed a track first before attempting one of the BTB-generated tracks.
If you have an old graphics card, that does not support shader 3.0, you will need to tick the Disable Instancing in order for the object to draw properly.
If you want to record your new track with Fraps in RBR, you need to change the record button in Fraps, to F5; F9 is used by the plugin to make the track disappear.

--------------------------------

the current version is 0.6.0.6 btw.

Have fun!
 
T

Tygra

Hi you two and thanks for trying to help me!

Here, I got to this part and tried running both the applications that you can see at the top, but got this error message when trying to do this...

 
4

42Cliff

It looks like you have a corrupt install and/or a file is missing, did you try uninstalling what you have and reinstalling the latest version?

did you accidentally download just the patch instead of the full install?

try:

- Copy your current C:\Program Files\BobsTrackBuilder folder to C:\Program Files\BTBOLD.
- Uninstall Bobs Track Builder. Delete the BobsTrackBuilder folder so that only your BTBOLD folder exists.
- Extract the files from the zip below and run the setup.exe to install the new version.

http://www.bobstrackbuilder.net/demo/download/download.aspx
 
T

Tygra

I downloaded the full install, and I just uninstalled everything and then did the process all over again, but I'm still getting that error message Cliff.

And I can't find any folder by the name of "BTBOLD".
 
4

42Cliff

BTBold is just what you named the old copy of your BTB folder assuming you wanted to save old projects, before deleting the original install folder ..

If you've never used BTB before and have no existing projects you should just delete the C:\Program Files\BobsTrackBuilder folder And uninstall BTB before you try to reinstall ..

maybe post a screenshot of your C:\Program Files\BobsTrackBuilder folder after a clean install - assuming you still get a error....

something is going wrong somewhere ... hope you can get it working!
 
T

Tygra

I've installed DirectX9.0c as Cliff in his first post said to. And yes I'm havig a problem running it.

I was thinking, could this problem be because I haven't yet payed for the license, because my free demo period expired ages go?

EDIT: And I just went to try and download Net 2.0, and it said "you already have it would you like to replace". So I do already have it.
 

dukenukem

1RPM
Mar 18, 2009
9
0
Looks like the same as I had, fixed it with installing newest DirectX9.0c. I have noticed there are different versions of dx9.0c don't know why. I have XP so I don't know about Vista, doesn't it come with dx10? try the newest dx10...
 
T

Tygra

Could someone here give me a link to the correct "DirectX9.0c", or dx10 if need be please?

Thanks.
 
T

Tygra

Ah Dam!! That's the one I downloaded yesterday. So I've got the right one, but I'm still at this problem.
 
T

Tygra

I right clicked on the exe, and did'nt get any option to run as admin.
 

Brendon Pywell

Bob's Track Builder
Feb 26, 2009
418
156
And I just went to try and download Net 2.0, and it said "you already have it would you like to replace". So I do already have it.
I wouldn't trust that message. Someone else also had this problem on Vista.

They had to uninstalling both .Net 3.5 and 2.0, reboot, then reinstall them, .Net 2.0 first then .Net 3.5.

Bet you're starting to understand why I don't officially support Vista. ;)
 
T

Tygra

In the add and remove Net 2.0 is not there and yet when I do a search for it, it comes up.
 

banger

500RPM
Mar 24, 2009
661
33
55
looking at add/remove then select the checkbox at the top,says somethings like show updates files and check it.

ed
 
T

Tygra

That's weird banger, nothing is there. Are you talking about XP? Because I have Vista.